<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class my_payment_schedule_SINGLE_Controller extends Controller
{
    public $selfName = 'my_payment_schedule_SINGLE_Controller';

	// GET /my_teams/view/{uid}/ACTION_updateTeamNumber
	public function ACTION_updateTeamNumber(Request $request, $uid) {
		$record = DB::table('pro_rate')->where('uid', $uid)->first();
		return response()->view('my_teams|team|add|view/my_payment_schedule_SINGLE/ACTION_updateTeamNumber', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /my_teams/view/{uid}/ACTION_deactivate
	public function ACTION_deactivate(Request $request, $uid) {
		$record = DB::table('pro_rate')->where('uid', $uid)->first();
		return response()->view('my_teams|team|add|view/my_payment_schedule_SINGLE/ACTION_deactivate', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /my_teams/view/{uid}/ACTION_updateDeactivationMemo
	public function ACTION_updateDeactivationMemo(Request $request, $uid) {
		$record = DB::table('pro_rate')->where('uid', $uid)->first();
		return response()->view('my_teams|team|add|view/my_payment_schedule_SINGLE/ACTION_updateDeactivationMemo', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /my_teams/view/{uid}/ACTION_reactivate
	public function ACTION_reactivate(Request $request, $uid) {
		$record = DB::table('pro_rate')->where('uid', $uid)->first();
		return response()->view('my_teams|team|add|view/my_payment_schedule_SINGLE/ACTION_reactivate', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /my_teams/view/{uid}/ACTION_updateReactivationMemo
	public function ACTION_updateReactivationMemo(Request $request, $uid) {
		$record = DB::table('pro_rate')->where('uid', $uid)->first();
		return response()->view('my_teams|team|add|view/my_payment_schedule_SINGLE/ACTION_updateReactivationMemo', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /my_teams/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('pro_rate')->where('uid', $uid)->first();
		return response()->view('my_teams|team|add|view/my_payment_schedule_SINGLE/SUB_dashboard', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /my_teams/view/{uid}/SUB_clients
	public function SUB_clients(Request $request, $uid) {
		$record = DB::table('pro_rate')->where('uid', $uid)->first();
		$subRecords = DB::table('client')->where('team_id', $record->id)->get();
		return response()->view('my_teams|team|add|view/my_payment_schedule_SINGLE/SUB_clients', compact('record', 'subRecords'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /my_teams/view/{uid}/SUB_audit_log
	public function SUB_audit_log(Request $request, $uid) {
		$record = DB::table('pro_rate')->where('uid', $uid)->first();
		return response()->view('my_teams|team|add|view/my_payment_schedule_SINGLE/SUB_audit_log', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /my_teams/view/{uid}/ACTION_clientsAddNew
	public function ACTION_clientsAddNew(Request $request, $uid) {
		$record = DB::table('pro_rate')->where('uid', $uid)->first();
		return response()->view('my_teams|team|add|view/my_payment_schedule_SINGLE/ACTION_clientsAddNew', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}
}
